Error on loading project: _async_done_not_received_cb: we didn't get async done, this is a bug
Closed, ResolvedPublic

Description

Upon loading a large project, the interface freezes with no preview available, and the command line outputs the following two errors:

ERROR 18:50:17 pipeline pitivi+utils+pipeline+pipeline0 _async_done_not_received_cb: we didn't get async done, this is a bug (../../app/lib/pitivi/python/pitivi/utils/pipeline.py:299)
ERROR 18:50:17 pipeline pitivi+utils+pipeline+pipeline0 _recover: Pipeline error detected during playback, resetting -- num tries: 0 (../../app/lib/pitivi/python/pitivi/utils/pipeline.py:469)

This occurs running the latest flatpak.

One project this occurs with is available here as a tar: https://mega.nz/#!2dsX0TRQ!lhVB0vFgoqmlFLYYqT0muWqMBt8g7HfZhiNqGFFjS8I

Heads up: It's more than 7 gigs, so downloading will take a while.

erusan created this task.Aug 2 2017, 1:56 AM

That is fixed now right?

Mostly. I was just able to replicate this by loading other apps while Pitivi was still loading, which made it freeze, but clicking on "Wait" in the dialog window made Pitivi load right away. Other than that, I haven't seen the problem.

aleb moved this task from Backlog to 1.0 on the Pitivi board.Oct 27 2017, 8:32 AM
aleb edited projects, added Pitivi (1.0); removed Pitivi.
aleb claimed this task.Oct 27 2017, 9:38 AM
aleb triaged this task as Normal priority.
aleb closed this task as Closed.Dec 16 2017, 10:15 PM
aleb moved this task from Backlog to Done on the Pitivi (1.0) board.

GitLab Migration Automatic Message

This bug has been migrated to GNOME's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.gnome.org/GNOME/pitivi/issues/2075.